Bug 508346 - X display becomes inaccessible after disconnecting for > 24 hours.
X display becomes inaccessible after disconnecting for > 24 hours.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 13:03 EDT by Edward Rudd
Modified: 2009-09-11 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.3.0-38.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-11 19:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2009-06-26 13:03:25 EDT
Description of problem:


Version-Release number of selected component (if applicable):
- freenx-server-0.7.3-12.fc11.x86_64
- nx-3.3.0-35.fc11.x86_64

How reproducible:
every time

Steps to Reproduce:
1. log in remotely (in my case from either a linux (F11) box or a Mac OS X box using official NX client)
2. work work work... and leave a terminal open
3. disconnect (leaving everything running)
4. wait until morning
5. re-connect to running session (Just connect as before, it'll resume)
6. try to run something new.. (ie.. run some X app from the terminal)
  
Actual results:
an error "Failed to open display: :2000" appears

Expected results:
it to start the application

Additional info:
I have to log out and then relogin starting a new session to continue work.
Comment 1 Axel Thimm 2009-07-25 08:47:58 EDT
I moved the bug to freenx-server, "freenx" does not exist anymore it was split in -server and -client.

Is the 24h a hard timeout, e.g. if it were 23h or less it would work? Is there any chance there is some new dynamic IP pulled in somewhere in that timeframe?
Comment 2 Edward Rudd 2009-07-25 09:04:44 EDT
I have not timed it exactly, no.   And It is probably some activity that occurs over night that breaks the suspended session.   Also, now there is no dynamic IP.  the machine has a statically assigned external IP that I connect to.  Also the socket that the X programs are connecting is a unix socket anyway, so IP changes wouldn't affect that.

I know this does not happen on a CentOS 5 box running freenx-server.
Comment 3 Fedora Update System 2009-09-02 18:04:44 EDT
nx-3.3.0-38.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nx-3.3.0-38.fc11
Comment 4 Fedora Update System 2009-09-02 18:04:52 EDT
nx-3.3.0-38.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nx-3.3.0-38.fc10
Comment 5 Axel Thimm 2009-09-02 18:11:30 EDT
I've flagged this bug as possibly fixed, as the changelog (see the update notes) indicates fixes in the reconnection procedure, please test this update whether it really fixes the issue in question, thanks!
Comment 6 Fedora Update System 2009-09-04 00:02:17 EDT
nx-3.3.0-38.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9266
Comment 7 Fedora Update System 2009-09-04 00:06:37 EDT
nx-3.3.0-38.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9296
Comment 8 Edward Rudd 2009-09-04 10:36:40 EDT
Axel, I can confirm now that it does fix the issue.

Thanks for getting this patch out so quickly.
Comment 9 Fedora Update System 2009-09-11 19:21:51 EDT
nx-3.3.0-38.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-09-11 19:23:14 EDT
nx-3.3.0-38.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.